<!-- Site-wide header -->
<header class="site-header container-fluid">
    <div class="container">
        <a id="site-identity" (click)="closeMobileNav();" routerLink="/">HappyDev</a>

        <nav role="navigation" [ngClass]="{'mobile': mobileNavMenuIsVisible}">
            <!-- Disabling for initial launch, we'll circle back and do this later -mmccann -->
            <!--
            <div class="nav-left" *ngIf="!_isLoggedIn()">
                <a (click)="closeMobileNav();" routerLink="/developers">Developers</a>
                <a (click)="closeMobileNav();" routerLink="/hiring-companies">Hiring Companies</a>
                <a (click)="closeMobileNav()">How it works</a>
            </div>
            -->
            <div class="nav-right">
                <div *ngIf="_isLoggedIn()">
                    <a (click)="closeMobileNav(); _goToDashboard()">Dashboard</a>
                    <a (click)="closeMobileNav(); _goToQuestions()">HappyMatch</a>
                    <a (click)="closeMobileNav(); _accountService.logout()">Logout</a>
                </div>
                <div class="not-landscape-mobile-nav" *ngIf="!_isLoggedIn()">
                    <a (click)="_onClickBenefits()" pagescroll href="#benefits">Benefits</a>
                    <a (click)="_onClickTour()" pagescrool href="#tour">Tour</a>
                    <a (click)="_onClickBlog()" href="{{_blogUrl}}">Blog</a>
                    <a (click)="_onClickFAQ()" routerLink="/faq">FAQ</a>
                    <a (click)="_onClickLogin()">Login</a>
                    <button (click)="_onClickSignUp()" class="btn btn-default btn-hd-orange" id="sign-up">Sign Up</button>
                </div>
                <div class="landscape-mobile-nav" *ngIf="!_isLoggedIn()">
                    <div class="row">
                        <div class="col-xs-6">
                            <a (click)="_onClickBenefits()" pagescroll href="#benefits">Benefits</a>
                        </div>
                        <div class="col-xs-6">
                            <a (click)="_onClickTour()" pagescrool href="#tour">Tour</a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            <a (click)="_onClickBlog()" href="{{_blogUrl}}">Blog</a>
                        </div>
                        <div class="col-xs-6">
                            <a (click)="_onClickFAQ()" routerLink="/faq">FAQ</a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            <a (click)="_onClickLogin()">Login</a>
                        </div>
                        <div class="col-xs-6">
                            <button (click)="_onClickSignUp()" class="btn btn-default btn-hd-orange" id="sign-up">Sign Up</button>
                        </div>
                    </div>
                </div>
            </div>
        </nav>

        <button class="mobile-nav-button" role="button" aria-label="Toggle Navigation"
            (click)="toggleMobileNav()"
            [ngClass]="{'close': mobileNavMenuIsVisible}">
            <span class="lines"></span>
            <span class="sr-only">Open the Mobile Navigation Menu</span>
        </button>
    </div>
</header>

<!-- Routed content outlet -->
<router-outlet></router-outlet>

<!-- Site-wide footer -->
<footer class="site-footer">
    <div class="container" id="footer-first-row">
        <div class="row" id="footer-links">
            <div class="col-xs-4">
                <span>ON THIS PAGE</span>
                <br />
                <a pagescroll href="#benefits">Benefits</a>
                <br />
                <a pagescroll href="#tour">Tour</a>
            </div>

            <div class="col-xs-4">
                <span>NEED HELP?</span>
                <br />
                <a (click)="_onClickContactSupport()">Contact Support</a>
                <br />
                <a routerLink="/faq">FAQ</a>
            </div>

            <div class="col-xs-4">
                <span>MORE</span>
                <br />
                <a href="{{_blogUrl}}">The Happy Dev - Our Blog</a>
                <br />
                <a routerLink="/terms-and-conditions">Terms & Conditions</a>
                <br />
                <a routerLink="/privacy-policy">Privacy Policy</a>
            </div>
        </div>
        <div class="row" id="footer-second-row">
            <div class="col-xs-8">
                <img src="../img/icons/happydev.png" alt="HappyDev, LLC." width="32px" height="32px" id="footer-copy-anchor"/>
                &copy; 2017 Copyright HappyDev, LLC.
            </div>

            <div class="col-xs-4" id="footer-social-icons">
                <a href="https://www.facebook.com/happydev.io/">
                    <img src="../img/icons/facebook.png" alt="Facebook page for The Happy Dev" />
                </a>
                <a href="https://twitter.com/thehappydev/">
                    <img src="../img/icons/twitter.png" alt="Twitter page for The Happy Dev" />
                </a>
                <a href="https://www.instagram.com/thehappydev/">
                    <img src="../img/icons/instagram.png" alt="Instagram page for The Happy Dev" />
                </a>
                <a href="https://plus.google.com/b/113556703584641465831/113556703584641465831">
                    <img src="../img/icons/google-plus.png" alt="Google Plus page for The Happy Dev" />
                </a>
            </div>
        </div>
    </div>
</footer>

<!-- Mobile navigation menu -->
<div class="mobile-nav-overlay" *ngIf="mobileNavMenuIsVisible" [@fadeIn]="mobileNavMenuIsVisible"></div>

<!-- Login Modal -->
<modal #loginModal (onDismiss)="_onDismissLoginModal()">
    <modal-body>
        <login #login [redirectUrl]="['developer', 'PROFILE_ID', 'dashboard']" (onClose)="loginModal.close()"></login>
    </modal-body>
</modal>

<!-- Signup Modal -->
<modal #registerAccountModal (onDismiss)="_onDismissRegisterModal()">
    <modal-body>
        <register-account #registerAccount (onClose)="_registerAccountModal.close()"></register-account>
    </modal-body>
</modal>
